## CalDAVSyncCalendar

Description

A class for holding basic information about a calendar we shall synchronize

Located in /inc/CalDAVSyncCalendar.php (line 8)

Variable Summary
mixed $sync_client
mixed $url
Method Summary
CalDAVSyncCalendar __construct ( $sync_client, $url)
void Get ( $key)
void GetToken ()
void hasSyncReport ()
void Set ( $key, $value)
void whatChangedSince ( $old_remote_token)
void __toString ()
Variables
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370
mixed $sync_client (line 9)

- access: public

mixed $url (line 10)

- access: public

Methods
Constructor __construct (line 14)
CalDAVSyncCalendar __construct ( $sync_client, $url)

- $sync_client
- $url

Get (line 28)

- access: public

void Get ( $key)

- $key

GetToken (line 33)
void GetToken ()
hasSyncReport (line 45)

- access: public

void hasSyncReport ()
Set (line 24)

- access: public

void Set ( $key, $value)

- $key
- $value

whatChangedSince (line 52)

- access: public

void whatChangedSince ( $old_remote_token)

- $old_remote_token

__toString (line 20)
void __toString ()

Documentation generated on Sun, 08 Jul 2012 12:53:47 +0000 by phpDocumentor 1.4.3